bitel.billing.server.phone.bean

## Class CalculateClientItem

- java.lang.Object
- - bitel.billing.server.phone.bean.CalculateClientItem

-     public class CalculateClientItem
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CalculateClientItem.ContractInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CalculateClientItem.ContractInfo` | `contract`
    `java.util.Calendar` | `date1`
    `java.util.Calendar` | `date2`
    `int` | `itemId`
    `java.util.List<java.lang.String>` | `keys`
    `int` | `serviceId`
    `java.util.Set<CalculateClientItem.ContractInfo>` | `subContracts`
    `java.util.Map<java.lang.Integer,java.util.List<ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTree>>` | `subContractTariffTreeMapNew`
    `boolean` | `tariffInit`
    `java.util.List<ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTree>` | `tariffTreeListNew`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculateClientItem(ClientItem item, CalculateClientItem.ContractInfo contract, java.util.Set<CalculateClientItem.ContractInfo> subContracts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(bitel.billing.server.phone.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)`
    `java.util.regex.Pattern` | `getFromPortsPattern()`
    `java.util.regex.Pattern` | `getNotFromNumberPattern()`
    `java.util.regex.Pattern` | `getNotToNumberPattern()`
    `java.util.regex.Pattern` | `getToPortsPattern()`
    `void` | `setFromPortsPattern(java.util.regex.Pattern fromPortsPattern)`
    `void` | `setNotFromNumberPattern(java.util.regex.Pattern notFromNumberPattern)`
    `void` | `setNotToNumberPattern(java.util.regex.Pattern notToNumberPattern)`
    `void` | `setToPortsPattern(java.util.regex.Pattern toPortsPattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceId

          public int serviceId

    - #### keys

          public java.util.List<java.lang.String> keys

    - #### date1

          public java.util.Calendar date1

    - #### date2

          public java.util.Calendar date2

    - #### tariffInit

          public boolean tariffInit

    - #### itemId

          public int itemId

    - #### contract

          public CalculateClientItem.ContractInfo contract

    - #### subContracts

          public java.util.Set<CalculateClientItem.ContractInfo> subContracts

    - #### tariffTreeListNew

          public java.util.List<ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTree> tariffTreeListNew

    - #### subContractTariffTreeMapNew

          public java.util.Map<java.lang.Integer,java.util.List<ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTree>> subContractTariffTreeMapNew

  - ### Constructor Detail

    - #### CalculateClientItem

          public CalculateClientItem(ClientItem item,
                                     CalculateClientItem.ContractInfo contract,
                                     java.util.Set<CalculateClientItem.ContractInfo> subContracts)

  - ### Method Detail

    - #### getNotFromNumberPattern

          public java.util.regex.Pattern getNotFromNumberPattern()

    - #### setNotFromNumberPattern

          public void setNotFromNumberPattern(java.util.regex.Pattern notFromNumberPattern)

    - #### getNotToNumberPattern

          public java.util.regex.Pattern getNotToNumberPattern()

    - #### setNotToNumberPattern

          public void setNotToNumberPattern(java.util.regex.Pattern notToNumberPattern)

    - #### check

          public boolean check(bitel.billing.server.phone.LogRecord record,
                               ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

    - #### getFromPortsPattern

          public java.util.regex.Pattern getFromPortsPattern()

    - #### setFromPortsPattern

          public void setFromPortsPattern(java.util.regex.Pattern fromPortsPattern)

    - #### getToPortsPattern

          public java.util.regex.Pattern getToPortsPattern()

    - #### setToPortsPattern

          public void setToPortsPattern(java.util.regex.Pattern toPortsPattern)